import { type ToastOption } from './toast.types.js';
declare class ToastStore {
    toasts: ToastOption[];
    callback: ((toast: Partial<ToastOption>) => void) | undefined;
    generateUniqueId: () => string;
    push: (toast: ToastOption) => void;
    remove: (id: string) => void;
    show: (toast: Partial<ToastOption>) => void;
    onPushed: (callback: (toast: Partial<ToastOption>) => void) => void;
}
/**
 * The function `createToastStore` creates a new instance of `ToastStore` and sets it in the context.
 */
export declare const createToastStore: () => void;
/**
 * The useToast function returns the ToastStore from the STORE_CONTEXT.
 */
export declare const useToast: () => ToastStore;
export {};
