/* This code snippet in TypeScript is defining an enum called `ToastPosition`. An enum is a way to
define a set of named constants. In this case, `ToastPosition` is defining constants for different
positions where a toast notification can be displayed on the screen. Each constant is assigned a
string value representing a specific position: */
export var ToastPosition;
(function (ToastPosition) {
    ToastPosition["TOP_LEFT"] = "top-left";
    ToastPosition["TOP_RIGHT"] = "top-right";
    ToastPosition["TOP_CENTER"] = "top-center";
    ToastPosition["BOTTOM_LEFT"] = "bottom-left";
    ToastPosition["BOTTOM_RIGHT"] = "bottom-right";
    ToastPosition["BOTTOM_CENTER"] = "bottom-center";
})(ToastPosition || (ToastPosition = {}));
/* This code snippet in TypeScript is defining an enum called `ToastTheme`. An enum is a way to define
a set of named constants. In this case, `ToastTheme` is defining constants for different themes that
can be applied to toast notifications. Each constant is assigned a string value representing a
specific theme, such as primary, dark, info, success, warning, and error. These constants can be
used to specify the theme of a toast notification when creating or customizing it. */
export var ToastTheme;
(function (ToastTheme) {
    ToastTheme["PRIMARY"] = "primary";
    ToastTheme["DARK"] = "dark";
    ToastTheme["DEFAULT"] = "default";
    ToastTheme["INFO"] = "info";
    ToastTheme["SUCCESS"] = "success";
    ToastTheme["WARNING"] = "warning";
    ToastTheme["ERROR"] = "error";
})(ToastTheme || (ToastTheme = {}));
